libtexttools4-dev_2.1.0-6_amd64.deb


Advertisement

Description

libtexttools4-dev - Ada library for writing console applications: development

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libtexttools4-dev
Package version 2.1.0
Package release 6
Package architecture amd64
Package type deb
Installed size 6.82 KB
Download size 931.93 KB
Official Mirror ftp.br.debian.org
The Texttools packages are a GPL, ncurses-based library for the Linux
console.  Texttools contain more than 600 procedures and functions to
create windows, draw scroll bars, handle the mouse and keyboard
events, play sounds, and much more.  The Texttools package also
provides a thick binding to Linux kernel calls.  You can create a wide
variety of application programs using Texttools alone.
Install this package if you want to write Ada programs that use
Texttools.

Alternatives

Package Version Architecture Repository
libtexttools4-dev_2.1.0-6_i386.deb 2.1.0 i386 Debian Main
libtexttools4-dev - - -

Requires

Name Value
gnat -
gnat-4.9 -
libncurses-dev -
libtexttools6 = 2.1.0-6

Download

Type URL
Binary Package libtexttools4-dev_2.1.0-6_amd64.deb
Source Package libtexttools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtexttools4-dev deb package:
    # sudo apt-get install libtexttools4-dev

Files

Path
/usr/lib/x86_64-linux-gnu/libtexttools.a
/usr/lib/x86_64-linux-gnu/libtexttools.so
/usr/lib/x86_64-linux-gnu/ada/adalib/texttools/common.ali
/usr/lib/x86_64-linux-gnu/ada/adalib/texttools/controls.ali
/usr/lib/x86_64-linux-gnu/ada/adalib/texttools/english.ali
/usr/lib/x86_64-linux-gnu/ada/adalib/texttools/equal_case_insensitive.ali
/usr/lib/x86_64-linux-gnu/ada/adalib/texttools/hash_case_insensitive.ali
/usr/lib/x86_64-linux-gnu/ada/adalib/texttools/os.ali
/usr/lib/x86_64-linux-gnu/ada/adalib/texttools/strings.ali
/usr/lib/x86_64-linux-gnu/ada/adalib/texttools/userio.ali
/usr/lib/x86_64-linux-gnu/ada/adalib/texttools/windows.ali
/usr/share/ada/adainclude/texttools.gpr
/usr/share/ada/adainclude/texttools/common.adb
/usr/share/ada/adainclude/texttools/common.ads
/usr/share/ada/adainclude/texttools/controls.adb
/usr/share/ada/adainclude/texttools/controls.ads
/usr/share/ada/adainclude/texttools/curses.c
/usr/share/ada/adainclude/texttools/english.ads
/usr/share/ada/adainclude/texttools/equal_case_insensitive.adb
/usr/share/ada/adainclude/texttools/equal_case_insensitive.ads
/usr/share/ada/adainclude/texttools/hash_case_insensitive.adb
/usr/share/ada/adainclude/texttools/hash_case_insensitive.ads
/usr/share/ada/adainclude/texttools/os.adb
/usr/share/ada/adainclude/texttools/os.ads
/usr/share/ada/adainclude/texttools/strings.adb
/usr/share/ada/adainclude/texttools/strings.ads
/usr/share/ada/adainclude/texttools/system.c
/usr/share/ada/adainclude/texttools/userio.adb
/usr/share/ada/adainclude/texttools/userio.ads
/usr/share/ada/adainclude/texttools/windows.adb
/usr/share/ada/adainclude/texttools/windows.ads
/usr/share/doc/libtexttools4-dev/README.Debian
/usr/share/doc/libtexttools4-dev/changelog.Debian.gz
/usr/share/doc/libtexttools4-dev/copyright

Changelog

2014-05-08 - Nicolas Boulenguez <nicolas@debian.org>
libtexttools (2.1.0-6) unstable; urgency=medium
* copyright: sources GPL2-+, all others GPL3-+.
2014-05-04 - Nicolas Boulenguez <nicolas@debian.org>
libtexttools (2.1.0-5) unstable; urgency=medium
* Build with gnat-4.9. Library and -dev packages renamed due to Ada policy.
* rules: run-tests target obsoleted by sadt from devscripts.
get-orig-source target not needed with a valid watch file.
* sources/options: let dpkg select default compressor.
* Standards-Version: 3.9.5 (no changes).
2013-09-04 - Nicolas Boulenguez <nicolas@debian.org>
libtexttools (2.1.0-4) unstable; urgency=low
* preinst: typo in directory name. Closes: #721781.
2013-08-26 - Nicolas Boulenguez <nicolas@debian.org>
libtexttools (2.1.0-3) unstable; urgency=low
* control: Maintainer, DM-Upload-Allowed: debian address.
XS-Testsuite: autopkgtest (Closes: #692682)
* copyright: update
* tests: updated. Valid test names may not contain underscores.
* Remove all /usr/share/doc symlinks, preinst scripts.
* Remove work-around for #680292, bug in gnat-4.6 is closed.
2012-10-12 - Nicolas Boulenguez <nicolas.boulenguez@free.fr>
libtexttools (2.1.0-2) unstable; urgency=low
* libtexttools-doc.preinst: remove /usr/share/doc symbolic link when
upgrading from versions < 2.0.7-1, allowing dpkg to install a
directory instead (Closes: #690132).
2012-06-08 - Nicolas Boulenguez <nicolas.boulenguez@free.fr>
libtexttools (2.1.0-1) unstable; urgency=low
* New upstream release.
* Upstream switched back to gnatmake, so
control (Depends): dh-ada-library (>= 3) with explicit gprconfig dependency.
* rules: remove --as-needed from LDFLAGS. gnatmake calls gcc -shared
LDFLAGS -lgnat in this order, making gcc ignoring some symbols.
2012-04-05 - Nicolas Boulenguez <nicolas.boulenguez@free.fr>
libtexttools (2.0.7-3) unstable; urgency=low
* Switched ALDH mess to dh_ada_library.
Added debian/texttools.gpr.
* Created build directories once and for all.
* Replaced README.Debian with a short reference to Debian Ada Policy.
* copyright: update.
* patches: linker_options.patch not needed anymore
* rules: added get-orig-source.
* source.lintian-overrides: a generated dependency is passed via substvars
and not seen by lintian.
* Standards-Version 3.9.3, debhelper 9 (no changes)
* control: -dep Depends: on libncurses-dev.
2012-02-17 - Nicolas Boulenguez <nicolas.boulenguez@free.fr>
libtexttools (2.0.7-2) unstable; urgency=low
* rules: do not strip static library archive.
added run-tests target
* ALDH.DOC_PKG: remove duplicate file from docs.
* README.Debian: should not depend on the architecture.
* control: removed dependencies on virtual package ada-compiler.
2011-10-01 - Nicolas Boulenguez <nicolas.boulenguez@free.fr>
libtexttools (2.0.7-1) unstable; urgency=low
* New upstream release (Closes: #642588).
* Build with gnat-4.6 (Closes: #642648)
* Multi-arch support.
* Upgrade to debhelper 8.9.8, policy 3.9.2, dpkg-dev 1.16.1
(dpkg-dev now defaults to source/local-options and simplifies debian/rules)
(arch/indep selective debhelper overrides)
* Use gprbuild instead of upstream Makefile.
* control: Breaks is enough between -doc and out-of-date -dev.
-dev package renaming, Conflicts & Replaces due to debian-ada-policy.
(Vcs-*): Added Vcs-Browser, corrected Vcs-Mtn
(Build-Depends): unversioned libncurses-dev
* patches/*: DEP-3 conformant headers
Call Ada cos/sin instead of C ones to avoid a dependency.
* copyright: DEP-5 conformant
2010-06-20 - Ludovic Brenta <lbrenta@debian.org>
libtexttools (2.0.6-2) unstable; urgency=low
[Ludovic Brenta]
* debian/control (DM-Upload-Allowed): yes.
(*-dev): depend on gnat, ada-compiler.
(*-dbg, *-doc): suggest gnat, gnat-4.4, ada-compiler.
[Nicolas Boulenguez]
* control: (Architectures) any like all Ada packages
(see http://lists.debian.org/debian-ada/2010/02/msg00002.html)

See Also

Package Description
libtexttools6_2.1.0-6_amd64.deb Ada library for writing console applications: shared library
libtextwrap-dev_0.1-14_amd64.deb text-wrapping library with i18n - development files
libtextwrap1_0.1-14_amd64.deb text-wrapping library with i18n - runtime
libtfbs-perl_0.6.1+dfsg-1+b1_amd64.deb scanning DNA sequence with a position weight matrix
libtggraphlayout-java-doc_122-2_all.deb Javadoc generated API for libtggraphlayout-java
libtggraphlayout-java_122-2_all.deb Graph visualization library for Java
libthai-data_0.1.21-1_all.deb Data files for Thai language support library
libthai-dev_0.1.21-1_amd64.deb Development files for Thai language support library
libthai-doc_0.1.21-1_all.deb Documentation files for Thai language support library
libthai0_0.1.21-1_amd64.deb Thai language support library
libtheora-bin_1.1.1+dfsg.1-6_amd64.deb Theora Video Compression Codec (example encoder, decoder)
libtheora-dev_1.1.1+dfsg.1-6_amd64.deb Theora Video Compression Codec (development files)
libtheora-doc_1.1.1+dfsg.1-6_all.deb Theora Video Compression Codec (documentation)
libtheora-ocaml-dev_0.3.0-3+b1_amd64.deb OCaml interface to the theora library
libtheora-ocaml_0.3.0-3+b1_amd64.deb OCaml interface to the theora library
Advertisement
Advertisement